#!/usr/bin/env node
var fs = require("fs");
var helpers = require("./helpers.js");
var path = require("path");
var files = load("./");

// Recursive function to load all .test.js files
function load(fpath) {
	var stats = fs.lstatSync(fpath);
	var arr = [];

	if (stats.isDirectory()) {
		if (fpath.includes("node_modules")) {
			return;
		};

        var dir = fs.readdirSync(fpath)
    	for (var file of dir) {
    		var res = load(path.join(fpath, file));
    		if (res != undefined) {
    			arr.push(res);
    		};
    	};
    };

	if (stats.isFile()) {
  		if (fpath.includes(".test.js")) {
            var abs = path.resolve("./" + fpath);
  			arr.push(require(abs));
  		};
    };

    return helpers.filterMultidimensionalArray(arr);
};

module.exports.test = function() {
    for (var file in files) {
        for (var fn in file) {
            fn();
        };
    };
};